from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCommandInfo(XInterface, Protocol):
    def getCommands(self) -> list[CommandInfo]: ...
    def hasCommandByName(self, Name: str) -> bool: ...
    def hasCommandByHandle(self, Handle: int) -> bool: ...
